## Class IDS_Log_Composite

Description

Log Composite

This class implements the composite pattern to allow to work with multiple logging wrappers at once.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Composite.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- license: LGPL

Located in /Log/Composite.php (line 52)

Variable Summary
array $loggers
Method Summary
void addLogger ()
void execute (IDS_Report $data)
boolean removeLogger (IDS_Log_Interface $logger)
Variables
array $loggers = array() (line 60)

Holds registered logging wrapper

- access: public

Methods
addLogger (line 84)

Registers a new logging wrapper

Only valid IDS_Log_Interface instances passed to this function will be registered

- access: public

void addLogger ()
execute (line 69)

Iterates through registered loggers and executes them

- access: public

void execute (IDS_Report $data)

- object $data: IDS_Report object

removeLogger (line 104)

Removes a logger

- access: public

boolean removeLogger (IDS_Log_Interface $logger)

- object $logger: IDS_Log_Interface object

Documentation generated on Mon, 22 Dec 2008 13:36:40 +0100 by phpDocumentor 1.4.2